# My dotfiles

This is a collection of some of my dotfiles for my Linux systems. They
work on Artix, Debian, Fedora and Ubuntu.

To install:

```console
$ git clone https://git.data.coop/samsapti/dotfiles.git
$ cd dotfiles
$ ./install.sh
```

Note that I use `doas` instead of `sudo` (only on Artix). If you prefer
`sudo`, then change all instances of `doas` to `sudo`, or simply create
a symlink `doas` pointing to `sudo`:

```console
$ sudo ln -s $(which sudo) /usr/bin/doas
```

### Notes
- You need to make `doas`/`sudo` rules that allow you to execute,
  `poweroff` and `reboot` without a password, otherwise the
  keybindings and scripts for those won't work.
- The installation script requires GNU Stow to work.
- Make sure to thoroughly examine these dotfiles and change them to your
  needs before using them.
- See the READMEs in the individual subfolders here for special notes.
- I use `dash` instead of `sh` or `bash` for my shell scripts. As such,
  all my scripts try to be as POSIX compliant as possible. If you don't
  want to use `dash`, you can change the shebang in the scripts to
  `#!/bin/sh` or `#!/bin/bash`.

## License

The [Unlicense](https://git.data.coop/samsapti/dotfiles/src/branch/main/LICENSE).
