# File management
alias cp="cp -i"
alias mv="mv -i"
alias rm="rm -i"
alias mkdir="mkdir -p"

# Navigation
alias -g ...="../.."
alias -g ....="../../.."
alias -g .....="../../../.."
alias -g ......="../../../../.."

# ls'ing
if (( ${+commands[exa]} )); then
    alias exa="exa -Fh --color=always --git --icons"
    alias l="exa -al"
    alias la="exa -l"
    alias ll="exa -aagl@"
    alias t="exa --tree -I '.git|node_modules'"
    alias tl="t -l"
    alias tla="tl -a"
    alias tlaa="tla -g@"
else
    alias l="ls -Ahl"
    alias la="ls -hl"
    alias ll="ls -aFhl"
    alias t="tree -CI '.git|node_modules'"
    alias ta="t -a"
fi

# git
alias gi="git init"
alias gsa="git submodule add"
alias gsur="git submodule update --remote"

# Mounting
alias lock="udisksctl lock -b"
alias mount="udisksctl mount -b"
alias unlock="udisksctl unlock -b"
alias unmount="udisksctl unmount -b"

# Misc.
(( ${+commands[tmux]} )) &&
    alias tmux="tmux -2u"
(( ${+commands[dotnet]} )) &&
    alias dnup="dotnet tool list --global | tail -n +3 | awk '{print \$1}' | xargs -l dotnet tool update --global"
alias cl="clear"
alias -g e="\$EDITOR"
alias grep="grep --color=always"
alias ls="ls --color=always"
alias q="exit 0"
alias zgrep="zgrep --color=always"

# Platform specific
if [[ $(lsb_release -si) == "Artix" ]]; then
    alias code="codium --enable-features=UseOzonePlatform --ozone-platform=wayland"
    alias pacin="doas pacman -S"
    alias pacls="pacman -Qkl"
    alias pacown="pacman -Qo"
    alias pacqi="pacman -Qi"
    alias pacqs="pacman -Qs"
    alias pacrm="doas pacman -Rcnsu"
    alias pacsi="pacman -Si"
    alias pacss="pacman -Ss"
    alias poweroff="doas poweroff"
    alias reboot="doas reboot"
    alias usb="doas usbctl tmp"
elif [[ $(lsb_release -si) == "Fedora" ]]; then
    alias code="codium"
    alias dnfin="sudo dnf install"
    alias dnfqs="sudo dnf list installed"
    alias dnfrm="sudo dnf remove"
    alias dnfsi="sudo dnf info"
    alias dnfss="sudo dnf search"
elif [[ $(lsb_release -si) =~ "^Debian|Ubuntu$" ]]; then
    alias aptin="sudo apt install"
    alias aptqi="dpkg -s"
    alias aptqs="dpkg -l"
    alias aptrm="sudo apt purge"
    alias aptsi="apt info"
    alias aptss="apt search"
fi
